using UnityEngine;
using System;
using System.Collections.Generic;

public abstract class _template : RequestLetter
{
    protected override string GetTextBody()
    {
        return "";
    }

    protected override string GetSender()
    {
        return "";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Religion;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "", 
                new ResponseLetter
                (
                    "", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, +0.2f} }
                )
            ),
            new Choice
            (
                "", 
                new ResponseLetter
                (
                    "", 
                    Sender, 
                    3,
                    RelatedAttribute
                )
            ),
            new Choice
            (
                "", 
                new ResponseLetter
                (
                    "", 
                    Sender, 
                    3,
                    RelatedAttribute
                )
            )
        };
    }
}